File Exchange

image thumbnail

Kinect Live 3D Point-Cloud matching Demo

version 1.0.0.1 (4.47 KB) by Wanbin Song
Wanbin Song's repository

16 Downloads

Updated 26 Nov 2019

From GitHub

View Version History

View license on GitHub

This demo is implemented only using MathWorks products.
1. Visualize streaming Color and Depth image.
2. Control depth mode(Default/Near) and elevation angle.
3. Simultaneously align color with depth image.
4. Live 3D Reconstruction with Point cloud stitching.
The highlight thing in this demo is live 3D reconstruction. User can easily combine multiple point clouds to reconstruct a 3D scene using ICP(Iterative Closest Point) algorithm. It can be used in various application like develop 3D models of objects or build 3D world maps for SLAM(Simultaneous Localization And Mapping).

Cite As

Wanbin Song (2021). Kinect Live 3D Point-Cloud matching Demo (https://github.com/wanbin-song/KinectLive), GitHub. Retrieved .

Comments and Ratings (12)

Wanbin Song

I've updated the files, but not I could not test it. Please use the files just for the references.

David Dobson

The file is not on GitHub

Fadi Sabbagh

Fadi Sabbagh

I'm using kinect V1, But when I click to the app icon, I receive this error :
Error in appinstall.internal.runapp (line 19)
runcorrectversion(appmetadata, appentrypoint, addonmetadatadir);
knowing that I'm using Matlab 2018

Yinlong Liu

( ఠൠఠ )ノ

longfei jiao

Chiara Cosenza

Where is it possible to modify for Kinect v2?

Alberto Sanchez

How i can modify this lines? i''ve got this error .... what can i do? Thanks !!

Error using videoinput (line 324)
The FORMAT specified is not supported by this device. See IMAQHWINFO(ADAPTORNAME)

Wanbin Song

@javad
Hi Javad,
This app is built for Kinect v1.
Please let me know if you have a problem while using it with Kinect v1.
FYI, for usage with Kinect v2, you can modify few lines of codes which are corresponded with Kinect v2.

javad soltani

Hi
I have the fallowing error:
There are no devices installed for the specified ADAPTORNAME. See IMAQHWINFO.
I use kinect v2.
do you know what is the problem?

raiyea

牛牪犇

VisionMaster

MATLAB Release Compatibility
Created with R2015b
Compatible with any release
Platform Compatibility
Windows macOS Linux

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!